Автор Тема: не работает корзина после установки модуля magic 360  (Прочитано 50 раз)

12 Апрель 2020, 17:25:39
  • Новичок
  • *
  • Сообщений: 4
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Сайт: http://espanagid.ru
ИНФОРМАЦИЯ О СЕРВЕРЕ: Версия веб-сервера Apache/2.4.6 (CentOS) PHP/7.2.29
Версия PHP 7.2.29
Версия Prestashop 1.6.1.24

При включении модуля Magic 360 возникает ошибка:
Impossible to add the product to the cart.
textStatus: 'parsererror'
errorThrown: 'SyntaxError: JSON.parse: unexpected character at line 1 column 1 of the JSON data'
responseText:

Deprecated: Function create_function() is deprecated in /var/www/domains/espanagid.ru/classes/Tools.php on line 2152
{"products":[],"discounts":[],"shippingCost":"0,00\u20ac","shippingCostFloat":0,"taxCost":"0,00\u20ac","wrappingCost":"0,00\u20ac","nbTotalProducts":0,"total":"0,00\u20ac","productTotal":"0,00\u20ac","freeShipping":"0,00\u20ac","freeShippingFloat":0,"free_ship":true,"isVirtualCart":false,"hasError":false,"crossSelling":""}

Подскажите, если кто-то знает, как исправить!? Спасибо!
12 Апрель 2020, 20:57:43
Ответ #1
  • Ветеран
  • *****
  • Сообщений: 16025
  • Репутация: +14614/-5
  • Сообщество PrestaShop
    • Просмотр профиля
13 Апрель 2020, 10:10:16
Ответ #2
  • Новичок
  • *
  • Сообщений: 4
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
У меня на VPS несколько сайтов, сменить PHP не могу. Вариантов других совсем нету? Модуль magic 360 действительно не причем. Установил голую версию, такая же проблема.
13 Апрель 2020, 11:18:59
Ответ #3
  • Ветеран
  • *****
  • Сообщений: 16025
  • Репутация: +14614/-5
  • Сообщество PrestaShop
    • Просмотр профиля
Вариантов не много, обновить prestashop или версию php менять.
Для prestashop 1.6 PHP 5.6
Для prestashop 1.7 PHP 7.0 или 7.3
PHP 7.2 самый плохой вариант. С этой версией много проблем.
13 Апрель 2020, 12:59:40
Ответ #4
  • Новичок
  • *
  • Сообщений: 4
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Спасибо за советы. Сейчас поставил PHP 7.1 - вроде бы работает, буду тестировать дальше.